Mailrelay API Reference

Get subscribers

GET https://{account}/api/v1/subscribers

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Lists all subscribers.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 10000.

Parameters

NameTypeRequiredDescription
page integer No Page number
per_page integer No Number of records per page
include_groups boolean No Include subscriber's groups in the response.
include_tags boolean No Include subscriber's tags in the response.
q[by_status] string No Search by status. Values can be: - <strong>active</strong>: Active subscribers - <strong>inactive</strong>: Inactive subscribers - <strong>disabled</strong>: Disabled subscribers include those that bounced, reported spam, unsubscribed or are banned.
q[banned] boolean No Search subscribers that are banned.
q[bounced] boolean No Search subscribers that bounced.
q[reported_spam] boolean No Search subscribers that reported spam.
q[unsubscribed] boolean No Search subscribers that unsubscribed.
q[groups_id_eq_any][] array No Search subscribers that belongs to any of the selected groups
q[tags_name_eq_any][] array No Search subscribers that have any of the selected tag names
q[id_eq] integer No Search: ID equals
q[id_gteq] integer No Search: ID greater than or equal to
q[id_lteq] integer No Search: ID less than or equal to
q[email_eq] string No Search: Email equals
q[email_cont] string No Search: Email contains
q[sms_phone_eq] string No Search: SMS phone equals
q[sms_phone_cont] string No Search: SMS phone contains
q[whatsapp_phone_eq] string No Search: WhatsApp phone equals
q[whatsapp_phone_cont] string No Search: WhatsApp phone contains
q[name_eq] string No Search: Name equals
q[name_cont] string No Search: Name contains
q[score_eq] integer No Search: Score equals
q[score_gteq] integer No Search: Score greater than or equal to
q[score_lteq] integer No Search: Score less than or equal to
q[created_at_eq] string No Search: Created at equals
q[created_at_gteq] string No Search: Created at greater than or equal to
q[created_at_lteq] string No Search: Created at less than or equal to
q[updated_at_eq] string No Search: Updated at equals
q[updated_at_gteq] string No Search: Updated at greater than or equal to
q[updated_at_lteq] string No Search: Updated at less than or equal to
q[s] string No Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "id desc"

Responses

StatusDescription
200 Success
400 The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
name string Name
email string Email
status string Status
sms_phone string SMS phone
sms_status string SMS status
whatsapp_phone string WhatsApp phone
whatsapp_status string WhatsApp status
subscribed_at string Subscribed at
subscribed_with_acceptance boolean Subscribed with acceptance
subscribe_ip string Subscribe ip
unsubscribed boolean Unsubscribed
unsubscribed_at string Unsubscribed at
unsubscribe_ip string Unsubscribe ip
unsubscribe_sent_email_id integer Unsubscribe sent email
score integer Score
address string Address
city string City
state string State
country string Country of the subscriber. The value should be in ISO 3166-1 alpha-2 format
birthday string Birthday
website string Website
time_zone string Time zone
locale string Locale
bounced boolean Bounced
bounce_category string Bounce category
reported_spam boolean Reported spam
local_ban boolean Local ban
global_ban boolean Global ban
created_at string Created at
updated_at string Updated at
groups array Groups
tags array Tags
custom_fields object Custom fields

Response headers

NameTypeDescription
Per-Page integer Number of records returned per page.
Total integer Total number of records matching the request, ignoring pagination.
Link string RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included.